package com.ym.mec.biz.dal.entity;

import java.math.BigDecimal;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(teacher_default_practice_group_salary):
 */
public class TeacherDefaultPracticeGroupSalary {

	/**  */
	private Long id;
	
	/**  */
	private Integer userId;
	
	/**  */
	private Integer minutes;
	
	/**  */
	private BigDecimal mainTeacherSalary = BigDecimal.ZERO;
	
	/**  */
	private BigDecimal assistantTeacherSalary = BigDecimal.ZERO;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setMinutes(Integer minutes){
		this.minutes = minutes;
	}
	
	public Integer getMinutes(){
		return this.minutes;
	}
			
	public BigDecimal getMainTeacherSalary() {
		return mainTeacherSalary;
	}

	public void setMainTeacherSalary(BigDecimal mainTeacherSalary) {
		this.mainTeacherSalary = mainTeacherSalary;
	}

	public BigDecimal getAssistantTeacherSalary() {
		return assistantTeacherSalary;
	}

	public void setAssistantTeacherSalary(BigDecimal assistantTeacherSalary) {
		this.assistantTeacherSalary = assistantTeacherSalary;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
